REX.UI.SVG.BlinkLR = function (svgElem, args) {
    // Inherit from base component
    var obj = Object.create(REX.UI.SVG.Component(svgElem, args));
    // Store options for simple usage
    var $opt = obj.options || {};

    // Load options or default values
    var LeftColor = $opt.LeftColor || "#ff0000";
    var RightColor = $opt.RightColor || "#00ff00";
        
    // Get SVG elements for manipulation
    var lcirc = obj.getChildByTag("LeftCirc");
    var rcirc = obj.getChildByTag("RightCirc");

    // Add anonymous function as event listener. There are two events
    // 'read' - it is called every time when item is read
    // 'change' - called for the first time and every time item value is changed
    obj.$c.STATUS.on('change', function onChange(itm) {
        if (itm.getValue()) {
            rcirc.setAttributeNS(null, "style", "fill-opacity:1.0; fill:" + RightColor + ";");
            lcirc.setAttributeNS(null, "style", "fill-opacity:0.0; fill:" + LeftColor + ";");
        } else {
            rcirc.setAttributeNS(null, "style", "fill-opacity:0.0; fill:" + RightColor + ";");
            lcirc.setAttributeNS(null, "style", "fill-opacity:1.0; fill:" + LeftColor + ";");
        }
    });

    return obj;
};